#! /usr/bin/env bash
# Script redimensionare imagini
# xsplash-theme-editor

PATH=$1
SRC=$2
BG_SIZES=( 800x600 1024x768 1280x1024 1440x900 1680x1050 1920x1200 2560x1600 )
#BG_SIZES=( 800x600 )
BG_SIZES_COUNT=${#BG_SIZES}


if test "$3" == "background"; then
	for ((i=0;i<$BG_SIZES_COUNT;i++)); do
		/usr/bin/convert -resize ${BG_SIZES[$i]}\! $PATH/$SRC $PATH/bg_${BG_SIZES[$i]}.jpg
	done
fi
if test "$3" == "logo"; then
	/usr/bin/convert -resize 193x71\! $PATH/$SRC $PATH/logo_small.png
	/usr/bin/convert -resize 302x110\! $PATH/$SRC $PATH/logo_large.png
	/usr/bin/convert -resize 241x88\! $PATH/$SRC $PATH/logo_medium.png
	/usr/bin/convert -resize 483x176\! $PATH/$SRC $PATH/logo_xtra_large.png
fi
